<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <LinearLayout
        android:orientation="horizontal" android:layout_width="match_parent"
        android:background="@drawable/bg_title"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:gravity="center"
            android:layout_weight="1"/>
        <TextView
            android:id="@+id/moudle_back_title_tv_title"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:gravity="center"
            android:layout_width="0dp"
            android:layout_weight="3"
            android:layout_height="50dp"
            android:text="生产监视"/>
        <TextView
            android:id="@+id/production_tv_show_search"
            android:text="搜索"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:gravity="center"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"/>
    </LinearLayout>
    <com.gigamole.navigationtabstrip.NavigationTabStrip
        android:id="@+id/moudle_fg_pro_management_tab"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_gravity="center"
        app:nts_active_color="@color/blue_text"
        app:nts_color="@color/blue_text"
        app:nts_corners_radius="2dp"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="12dp"
        app:nts_inactive_color="#797979"
        app:nts_gravity="bottom"
        app:nts_size="15sp"
        app:nts_weight="4dp"/>
    <LinearLayout
        android:id="@+id/moudle_pro_ll_search"
        android:layout_width="match_parent"
        android:background="#EBEBEB"
        android:layout_height="40dp"
        android:visibility="gone"
        android:orientation="horizontal">
        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:paddingLeft="5dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="1">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:src="@mipmap/moudle_search_bg" />

            <ImageView
                android:id="@+id/moudle_equ_search_iv_search"
                android:layout_width="60dp"
                android:layout_height="match_parent"
                android:paddingLeft="10dp"
                android:padding="8dp"
                android:src="@mipmap/moudle_search" />

            <EditText
                android:id="@+id/production_monitor_edt_search"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@null"
                android:singleLine="true"
                android:gravity="center_vertical"
                android:hint="点击输入名称搜索"
                android:layout_marginLeft="60dp"
                android:paddingRight="15dp"
                android:textSize="14sp" />
        </RelativeLayout>
        <TextView
            android:id="@+id/production_tv_search"
            android:layout_width="wrap_content"
            android:layout_height="40dp"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:gravity="center"
            android:text="搜索"
            android:textColor="@color/blue"/>
    </LinearLayout>
    <RelativeLayout
        android:paddingBottom="8dp"
        android:layout_marginBottom="4dp"
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/production_monitor_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <LinearLayout
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <LinearLayout
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="40dp">
                    <RelativeLayout
                        android:layout_weight="2"
                        android:layout_width="0dp"
                        android:layout_height="match_parent">
                        <Spinner
                            android:id="@+id/production_monitor_area_sp"
                            android:textColor="#5F5F5F"
                            android:layout_width="match_parent"
                            android:background="@color/white"
                            android:layout_height="match_parent"/>
                        <ImageView
                            android:layout_alignParentRight="true"
                            android:layout_marginRight="10dp"
                            android:src="@mipmap/iv_down"
                            android:padding="5dp"
                            android:layout_width="30dp"
                            android:layout_height="match_parent" />
                    </RelativeLayout>
                    <View
                        android:background="@color/gray01"
                        android:layout_width="0.5dp"
                        android:layout_marginTop="3dp"
                        android:layout_marginBottom="3dp"
                        android:layout_height="match_parent"/>
                    <RelativeLayout
                        android:layout_weight="2"
                        android:layout_width="0dp"
                        android:layout_height="match_parent">
                        <Spinner
                            android:id="@+id/production_monitor_type_sp"
                            android:layout_width="match_parent"
                            android:textColor="#9A9A9A"
                            android:background="@color/white"
                            android:layout_height="match_parent"/>
                        <ImageView
                            android:layout_alignParentRight="true"
                            android:src="@mipmap/iv_down"
                            android:padding="5dp"
                            android:layout_width="30dp"
                            android:layout_marginRight="20dp"
                            android:layout_height="match_parent" />
                    </RelativeLayout>

                    <Button
                        android:visibility="gone"
                        android:text="刷新"
                        style="@style/wrap_layout2"
                        android:background="@color/white"
                        android:textSize="14sp"
                        android:textColor="@color/blue"
                        android:gravity="center"
                        android:id="@+id/production_iv_refresh"
                        android:layout_weight="1"
                        android:layout_width="0dp"
                        android:layout_height="match_parent" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#FEFEFE"
                    android:orientation="vertical">

                    <com.sipai.ui.EmptyLayout
                        android:id="@+id/production_monitor_ui_empty"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:visibility="gone" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/production_monitor_recycleview"
                        android:padding="8dp"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />
                </LinearLayout>
            </LinearLayout>

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </RelativeLayout>
</LinearLayout>